# List all entities

Lists entities.

Endpoint: GET /v1alpha/entities
Version: v1alpha
Security: oauth2_client_credentials, oauth2_authorization_code

## Query parameters:

  - `pageSize` (integer)
    Optional. The maximum number of entities to return. The service may return fewer than
 this value.
 If unspecified, at most 50 entities will be returned.
 The maximum value is 100; values above 100 will be coerced to 100.

  - `pageToken` (string)
    Optional. A page token, received from a previous `ListEntities` call.
 Provide this to retrieve the subsequent page.
 When paginating, all other parameters provided to `ListEntities` must
 match the call that provided the page token.

  - `showDeleted` (boolean)
    Optional. If true, soft-deleted entities will be included in the response.
 See AIP-164.

  - `skip` (integer)
    Optional. The number of entities to skip before starting to collect the result set.

  - `filter` (string)
    Optional. A filter expression that filters the results listed in the response.
 Filter only currently supports a fuzzy search on display name.
 See AIP-160 for more details.

  - `orderBy` (string)

## Response 200 fields (application/json):

  - `entities` (array)
    The list of entities.

  - `entities.company` (object, required)

  - `entities.company.type` (string, required)
    Enum: "COMPANY_TYPE_UNSPECIFIED", "PUBLIC_COMPANY", "PRIVATE_COMPANY", "NON_PROFIT", "GOVERNMENTAL_ORG", "ASSOCIATION_INCORPORATION"

  - `entities.company.industry` (string)
    (OPTIONAL)

  - `entities.company.contacts` (array)
    (OPTIONAL) Key contact details for the company.

  - `entities.company.contacts.role` (string)
    (OPTIONAL) The role of the contact point such as CTO or Support Team.

  - `entities.company.contacts.displayName` (string)
    (OPTIONAL) Human-readable display name of the contact such as John Doe

  - `entities.company.contacts.contactType` (string)
    (OPTIONAL) The type of contact e.g. 'Risk Contact', 'Primary Contact', 'Sales Contact'.

  - `entities.company.contacts.emailAddress` (string)
    (OPTIONAL) Email address for the contact.

  - `entities.company.contacts.phoneNumber` (string)
    (OPTIONAL) Phone number for the contact.

  - `entities.individual` (object, required)

  - `entities.individual.title` (string)
    (OPTIONAL) Optional. The individual's title, e.g., "Mr.", "Dr.".

  - `entities.individual.givenName` (string)
    (OPTIONAL) Optional. The individual's given name.

  - `entities.individual.middleName` (string)
    (OPTIONAL) Optional. The individual's middle name or initial.

  - `entities.individual.familyName` (string)
    (OPTIONAL) Optional. The individual's family name.

  - `entities.individual.birthDate` (object)
    Represents a whole or partial calendar date, such as a birthday. The time of
day and time zone are either specified elsewhere or are insignificant. The
date is relative to the Gregorian Calendar. This can represent one of the
following:
* A full date, with non-zero year, month, and day values
* A month and day value, with a zero year, such as an anniversary
* A year on its own, with zero month and day values
* A year and month value, with a zero day, such as a credit card expiration
date

Related types are [google.type.TimeOfDay][google.type.TimeOfDay] and
`google.protobuf.Timestamp`.

  - `entities.individual.birthDate.year` (integer)
    Year of the date. Must be from 1 to 9999, or 0 to specify a date without
 a year.

  - `entities.individual.birthDate.month` (integer)
    Month of a year. Must be from 1 to 12, or 0 to specify a year without a
 month and day.

  - `entities.individual.birthDate.day` (integer)
    Day of a month. Must be from 1 to 31 and valid for the year and month, or 0
 to specify a year by itself or a year and month where the day isn't
 significant.

  - `entities.individual.birthPlace` (string)
    (OPTIONAL)

  - `entities.individual.gender` (string)
    Enum: "GENDER_UNSPECIFIED", "MALE", "FEMALE", "OTHER"

  - `entities.individual.nationality` (string)
    (OPTIONAL)

  - `entities.individual.residenceCountry` (string)
    (OPTIONAL)

  - `entities.individual.citizenshipCountry` (array)
    (OPTIONAL)

  - `entities.individual.occupation` (string)
    (OPTIONAL)

  - `entities.individual.employer` (string)
    (OPTIONAL)

  - `entities.individual.alias` (string)
    (OPTIONAL)

  - `entities.trust` (object, required)

  - `entities.trust.type` (string)
    Enum: "TRUST_TYPE_UNSPECIFIED", "SPECIAL_DISABILITY", "DECEASED_ESTATE", "HYBRID_TRUST", "FIXED_TRUST", "DISCRETIONARY_TRUST", "CASH_MANAGEMENT_UNIT_TRUST", "PUBLIC_UNIT_TRUST", "FIXED_UNIT_TRUST"

  - `entities.trust.trust` (string)
    (OPTIONAL)

  - `entities.trust.settler` (string)
    (OPTIONAL)

  - `entities.trust.trustee` (string)
    (OPTIONAL)

  - `entities.trust.deed` (string)
    (OPTIONAL)

  - `nextPageToken` (string)
    A token to retrieve the next page of results, or empty if there are no
 more results in the list.

  - `totalSize` (integer)
    The total number of entities matching the request.

